fcft_precompose(3)

NAME

fcft_precompose - pre-compose two wide characters into one

SYNOPSIS

#include <fcft/fcft.h>

bool fcft_precompose(
    const struct fcft_font *font, uint32_t base, uint32_t comb, bool *base_is_from_primary, bool *comb_is_from_primary, bool *composed_is_from_primary);

DESCRIPTION

fcft_precompose() composes the base and comb wide characters into a single wide character. For example, L'a' + L'\u0301' can be combined to L'á'.

If *_is_from_primary are non-NULL, they will be true if the corresponding wide character exists in the primary font. If false, it does not exist in the primary font and fcft_codepoint_rasterize() will pick the glyph from one of the fallback fonts.

RETURN VALUE

On success, fcft_precompose() returns a composed wide character. On error, (uint32_t)-1 is returned.

SEE ALSO

fcft_codepoint_rasterize(), fcft_kerning()